Bug 26010 - Remove the use of jquery.checkboxes plugin from staff interface cart
Summary: Remove the use of jquery.checkboxes plugin from staff interface cart
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-07-17 17:26 UTC by Owen Leonard
Modified: 2020-08-18 02:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26010: Remove the use of jquery.checkboxes plugin from staff interface cart (2.78 KB, patch)
2020-07-17 17:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26010: Remove the use of jquery.checkboxes plugin from staff interface cart (2.84 KB, patch)
2020-07-31 15:05 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26010: Remove the use of jquery.checkboxes plugin from staff interface cart (2.90 KB, patch)
2020-08-10 20:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-17 17:26:51 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. Its use should replaced in the staff interface cart, for handling checkbox actions like "select all" and "clear all." The plugin is very old and unmaintained. We should use our own JS to replace it.
Comment 1 Owen Leonard 2020-07-17 17:36:09 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-07-31 15:05:53 UTC
Created attachment 107647 [details] [review]
Bug 26010: Remove the use of jquery.checkboxes plugin from staff interface cart

This patch removes the use of the jquery.checkboxes plugin from the
staff interface cart and replaces its functionality with "plain" jQuery.

To test, apply the patch and add some items to the Cart in the staff
interface.

- Open the Cart window in the staff interface by clicking the "Cart"
  link in the header.
- Test that the "Select all" and "Clear all" links work correctly to
  check and uncheck all checkboxes.
- Test that the "Remove" or "Place hold" controls work correctly,
  applying to only the checked checkboxes whether they were checked
  using "Select all" or by manually checking them.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-10 20:56:48 UTC
Created attachment 108021 [details] [review]
Bug 26010: Remove the use of jquery.checkboxes plugin from staff interface cart

This patch removes the use of the jquery.checkboxes plugin from the
staff interface cart and replaces its functionality with "plain" jQuery.

To test, apply the patch and add some items to the Cart in the staff
interface.

- Open the Cart window in the staff interface by clicking the "Cart"
  link in the header.
- Test that the "Select all" and "Clear all" links work correctly to
  check and uncheck all checkboxes.
- Test that the "Remove" or "Place hold" controls work correctly,
  applying to only the checked checkboxes whether they were checked
  using "Select all" or by manually checking them.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-13 05:57:42 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-17 15:17:00 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-18 02:20:45 UTC
enhancement, not backported to 19.11.x